;;;; -*- lisp -*-

;;;; This is the implementation of hello.lisp.  All the functions are
;;;; defined here.

(in-package #:hello-lisp)

;;; This is exported so the user can arrange to be greeted personally.
(defparameter *greeting* "~&Hello, Lisp!~%"
  "The greeting displayed to the user.  The value of this
  variable is passed to `format' with no further arguments when
  the user invokes `hello'.")

(defun hello ()
  "Output a friendly greeting to the user.  The greeting can be
  customized via the variable `*greeting*'"
  ;; TODO: should perhaps take an optional stream argument?
  (format t *greeting*))
